petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCView

Prints the PC data structure.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCView(PC pc,PetscViewer viewer)

Collective on PC

### Input Parameters

| PC | - the PC context
| viewer | - optional visualization context

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization contexts with PetscViewerASCIIOpen() (output to a specified file).

### Keywords

PC, view

### See Also

KSPView(), PetscViewerASCIIOpen()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex15.c.html